Quattro9ParserInternal::TextEntry Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
Quattro9ParserInternal::TextEntry Struct Reference

`#include <Quattro9.h>`

## Public Member Functions
| TextEntry ()
| constructor
bool | empty () const
| returns true if the string is empty
librevenge::RVNGString | getString (std::shared_ptr< WPSStream > const &stream, libwps_tools_win::Font::Type type=libwps_tools_win::Font::WIN3_WEUROPE) const
| returns the string
void | send (std::shared_ptr< WPSStream > const &stream, WPSFont const &font, libwps_tools_win::Font::Type type, WKSContentListenerPtr &listener)
| sends the text to the main listener
std::string | getDebugString (std::shared_ptr< WPSStream > const &stream) const
| internal: returns a debug string

## Public Attributes
WPSEntry | m_entry
| the text entry
std::vector< WPSFont > | m_fontsList
| the list of fonts
std::map< int, int > | m_posFontIdMap
| the position to font map(complex text)
int | m_flag
| the flag
std::string | m_extra
| extra data

## Constructor & Destructor Documentation

## ◆ TextEntry()

Quattro9ParserInternal::TextEntry::TextEntry | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ empty()

bool Quattro9ParserInternal::TextEntry::empty | ( |  | ) | const
| inline

returns true if the string is empty

Referenced by getString(), and send().

## ◆ getDebugString()

std::string Quattro9ParserInternal::TextEntry::getDebugString | ( | std::shared_ptr< WPSStream > const & | stream | ) | const

internal: returns a debug string

Referenced by Quattro9Spreadsheet::readBeginSheet(), Quattro9Spreadsheet::readCellResult(), Quattro9Parser::readDocumentFields(), Quattro9Parser::readDocumentStrings(), Quattro9Parser::readFontNames(), Quattro9Graph::readOLEName(), Quattro9Graph::readTextboxText(), and Quattro9Parser::readZone().

## ◆ getString()

librevenge::RVNGString Quattro9ParserInternal::TextEntry::getString | ( | std::shared_ptr< WPSStream > const & | stream,
|  | libwps_tools_win::Font::Type | type = libwps_tools_win::Font::WIN3_WEUROPE ) const

returns the string

Referenced by getDebugString(), Quattro9Spreadsheet::readBeginSheet(), Quattro9Parser::readDocumentFields(), Quattro9Parser::readFontNames(), and Quattro9Parser::readZone().

## ◆ send()

void Quattro9ParserInternal::TextEntry::send | ( | std::shared_ptr< WPSStream > const & | stream,
|  | WPSFont const & | font,
|  | libwps_tools_win::Font::Type | type,
|  | WKSContentListenerPtr & | listener )

sends the text to the main listener

## Member Data Documentation

## ◆ m_entry

WPSEntry Quattro9ParserInternal::TextEntry::m_entry

the text entry

Referenced by empty(), getString(), Quattro9Parser::readPString(), send(), and TextEntry().

## ◆ m_extra

std::string Quattro9ParserInternal::TextEntry::m_extra

extra data

Referenced by getDebugString(), Quattro9Parser::readPString(), and TextEntry().

## ◆ m_flag

int Quattro9ParserInternal::TextEntry::m_flag

the flag

Referenced by getDebugString(), Quattro9Parser::readPString(), and TextEntry().

## ◆ m_fontsList

std::vector<WPSFont> Quattro9ParserInternal::TextEntry::m_fontsList

the list of fonts

Referenced by Quattro9Parser::readTextStyles(), send(), and TextEntry().

## ◆ m_posFontIdMap

std::map<int, int> Quattro9ParserInternal::TextEntry::m_posFontIdMap

the position to font map(complex text)

Referenced by Quattro9Parser::readTextStyles(), send(), and TextEntry().

The documentation for this struct was generated from the following files:

- Quattro9.h
- Quattro9.cpp